Bug 8022 - Permissions test doesn't check all languages
Summary: Permissions test doesn't check all languages
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: 3.6
Hardware: All All
: P5 - low normal (vote)
Assignee: Jared Camins-Esakov
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-28 14:03 UTC by Jared Camins-Esakov
Modified: 2013-12-05 19:57 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8022: Permissions test doesn't check all languages (858 bytes, patch)
2012-04-28 14:05 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 8022: Permissions test doesn't check all languages (1.09 KB, patch)
2012-05-07 10:59 UTC, Magnus Enger
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2012-04-28 14:03:11 UTC
The permissions test does not check the permissions files for nb-NO and es-ES. It should.
Comment 1 Jared Camins-Esakov 2012-04-28 14:05:33 UTC Comment hidden (obsolete)
Comment 2 Magnus Enger 2012-05-07 10:59:05 UTC
Created attachment 9426 [details] [review]
Bug 8022: Permissions test doesn't check all languages

Add the permissions files for es-ES and nb-NO to the permissions test.

Signed-off-by: Magnus Enger <magnus@enger.priv.no>
Running xt/permissions.t before the patch leaves out nb-NO and es-ES.
After the patch they are picked up and the test fails correctly
because of the missing permissions described in Bug 7984.
As far as I can tall, all permission files are now picked up by
this test.
Comment 3 Ian Walls 2012-05-10 15:56:07 UTC
Adds necessary languages to test.  Marking Passed QA.
Comment 4 Chris Cormack 2012-05-14 20:55:15 UTC
Will be in 3.8.1
Comment 5 Jared Camins-Esakov 2012-06-14 11:52:39 UTC
This patch will be in 3.6.6.